
Katello - Bug #4757

Can't create a new user

03/20/2014 07:01 PM - Mike McCune

Status: Closed   

Priority: High   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082142 Red Hat JIRA:  

Pull request:    

Description

1) Login to the web ui

2) Administer -> Users

3) Create new

4) Fill out form and note error:

Warning!

too few arguments

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

ArgumentError

too few arguments

app/controllers/users_controller.rb:20:in `create'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Has duplicate Foreman - Bug #4941: Unable to create new user in organization Duplicate 03/28/2014

History

#1 - 03/20/2014 07:53 PM - Ohad Levy

I cant reproduce this on foreman, can you pass the entire parameters from the logs too?

#2 - 03/21/2014 09:06 AM - Dominic Cleal

- Status changed from New to Need more information

Drop logging to debug level too, so you get a complete stack trace in production.log.

http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

#3 - 03/26/2014 12:30 PM - Lukas Zapletal

I've already investigated this one.

Katello plugin is causing this, you cannot reproduce without Katello plugin installed. It is somehow changing the form (my guess is the label is the

key).

#4 - 03/26/2014 12:56 PM - Dominic Cleal

- Project changed from Foreman to Katello

- Category changed from Web Interface to Web UI

- Triaged set to No

#5 - 03/31/2014 07:05 AM - Dominic Cleal

- Has duplicate Bug #4941: Unable to create new user in organization added
http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging


#6 - 03/31/2014 02:49 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1082142

#7 - 03/31/2014 03:24 PM - Mike McCune

- Status changed from Need more information to Closed

#8 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#9 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13
